Index: npl/mailserver/netqmail_conf/root/etc/postinst.d/post.qmail_conf
===================================================================
--- npl/mailserver/netqmail_conf/root/etc/postinst.d/post.qmail_conf	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/etc/postinst.d/post.qmail_conf	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+
+### http://notes.sagredo.eu/en/qmail-notes-185/configuring-qmail-83.html
+
+# create groups and users
+. /etc/qmail.rc.config
+qmail_user() {
+  for I in _0 _1 _2 _3 _4 _5 _6; do
+    eval CUR_USER=\$QMAIL_USER$I
+    USER=`echo "$CUR_USER" | cut -d ':' -f 1`
+    grep "$USER" /etc/passwd > /dev/null && userdel $USER
+  done
+  for I in _0 _1; do
+    eval CUR_GROUP=\$QMAIL_GROUP$I
+    GROUP=`echo "$CUR_GROUP" | cut -d ':' -f 1`
+    grep "$GROUP" /etc/group > /dev/null && groupdel $GROUP
+  done
+  for I in _0 _1; do
+    eval CUR_GROUP=\$QMAIL_GROUP$I
+    GROUP=`echo "$CUR_GROUP" | cut -d ':' -f 1`
+    CGID=`echo "$CUR_GROUP" | cut -d ':' -f 2`
+    groupadd -g $CGID $GROUP
+  done
+  for I in _0 _1 _2 _3 _4 _5 _6; do
+    eval CUR_USER=\$QMAIL_USER$I
+    USER=`echo "$CUR_USER" | cut -d ':' -f 1`
+    CUID=`echo "$CUR_USER" | cut -d ':' -f 2`
+    GROUP=`echo "$CUR_USER" | cut -d ':' -f 3`
+    HOME=`echo "$CUR_USER" | cut -d ':' -f 4`
+    useradd -u $CUID -g $GROUP -d $HOME -s /bin/false $USER
+  done
+}
+qmail_user
+
+
+# permissions
+. /etc/qmail.permissions
+qmail_permissions
+cd /var/log/qmail
+chown -R qmaill.nofiles .
+chgrp root .
+chmod -R og-wrx .
+chmod g+rx .
+
+#stuff
+svc -d /service/qmail-*
+svcstop /service/nscd/
+svcreset /service/nscd/
+touch /var/qmail/control/smtpplugins
+svc -dx /service/qmail-*
+
+#update old config?
+if ! grep "127.0.0.3" /etc/qmail/tcp.smtp; then
+    mv /etc/qmail/tcp.smtp.new /etc/qmail/tcp.smtp
+fi
+
+
+#regenerate cdb
+tcprules /etc/qmail/tcp.smtp.cdb /etc/qmail/tcp.smtp.tmp < /etc/qmail/tcp.smtp
+
+#enable scripts (x is disble to prevent starting up after first installation of binary)
+chmod +x /service/qmail-smtpd/run /service/qmail-send/run /service/qmail-send/log/run /service/qmail-smtpd/log/run
Index: npl/mailserver/netqmail_conf/root/etc/qmail
===================================================================
--- npl/mailserver/netqmail_conf/root/etc/qmail	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/etc/qmail	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+/home/system/qmail
Index: npl/mailserver/netqmail_conf/root/etc/qmail.permissions
===================================================================
--- npl/mailserver/netqmail_conf/root/etc/qmail.permissions	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/etc/qmail.permissions	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,192 @@
+# qmail permissions - generated by Guilherme Balena Versiani
+# used GNU stat 5.0 by Michael Meskes
+
+qmail_permissions() {
+  chown root.qmail /var/qmail; chmod 755 /var/qmail
+  chown root.root /var/qmail/rc; chmod 700 /var/qmail/rc
+  chown root.qmail /var/qmail/bin; chmod 755 /var/qmail/bin
+  chown root.qmail /var/qmail/bin/elq; chmod 755 /var/qmail/bin/elq
+  chown root.qmail /var/qmail/bin/pinq; chmod 755 /var/qmail/bin/pinq
+  chown root.qmail /var/qmail/bin/qail; chmod 755 /var/qmail/bin/qail
+  chown root.root /var/qmail/bin/checkpassword; chmod 700 /var/qmail/bin/checkpassword
+  chown root.qmail /var/qmail/bin/qmail-showctl; chmod 755 /var/qmail/bin/qmail-showctl
+  chown root.root /var/qmail/bin/printforward; chmod 755 /var/qmail/bin/printforward
+  chown root.qmail /var/qmail/bin/datemail; chmod 755 /var/qmail/bin/datemail
+  chown root.qmail /var/qmail/bin/condredirect; chmod 755 /var/qmail/bin/condredirect
+  chown root.qmail /var/qmail/bin/qsmhook; chmod 755 /var/qmail/bin/qsmhook
+  chown root.root /var/qmail/bin/dot-forward; chmod 755 /var/qmail/bin/dot-forward
+  chown root.qmail /var/qmail/bin/qbiff; chmod 755 /var/qmail/bin/qbiff
+  chown root.qmail /var/qmail/bin/qreceipt; chmod 755 /var/qmail/bin/qreceipt
+  chown root.qmail /var/qmail/bin/splogger; chmod 711 /var/qmail/bin/splogger
+  chown root.root /var/qmail/bin/newaliases; chmod 755 /var/qmail/bin/newaliases
+  chown root.root /var/qmail/bin/qmail-smtpd-conf; chmod 755 /var/qmail/bin/qmail-smtpd-conf
+  chown root.qmail /var/qmail/bin/mailsubj; chmod 755 /var/qmail/bin/mailsubj
+  chown root.qmail /var/qmail/bin/tcp-env; chmod 755 /var/qmail/bin/tcp-env
+  chown root.root /var/qmail/bin/qmail-delivery-conf; chmod 755 /var/qmail/bin/qmail-delivery-conf
+  chown root.root /var/qmail/bin/setmaillist; chmod 755 /var/qmail/bin/setmaillist
+  chown root.root /var/qmail/bin/qmail-pop3d-conf; chmod 755 /var/qmail/bin/qmail-pop3d-conf
+  chown root.qmail /var/qmail/bin/qmail-clean; chmod 711 /var/qmail/bin/qmail-clean
+  chown root.qmail /var/qmail/bin/qmail-getpw; chmod 711 /var/qmail/bin/qmail-getpw
+  chown root.qmail /var/qmail/bin/qmail-local; chmod 711 /var/qmail/bin/qmail-local
+  chown root.qmail /var/qmail/bin/qmail-pop3d; chmod 755 /var/qmail/bin/qmail-pop3d
+  chown root.qmail /var/qmail/bin/qmail-popup; chmod 711 /var/qmail/bin/qmail-popup
+  chown root.qmail /var/qmail/bin/qmail-qmqpc; chmod 755 /var/qmail/bin/qmail-qmqpc
+  chown root.qmail /var/qmail/bin/qmail-qmqpd; chmod 755 /var/qmail/bin/qmail-qmqpd
+  chown root.qmail /var/qmail/bin/qmail-qmtpd; chmod 755 /var/qmail/bin/qmail-qmtpd
+  chown root.qmail /var/qmail/bin/qmail-qread; chmod 755 /var/qmail/bin/qmail-qread
+  chown root.qmail /var/qmail/bin/qmail-qstat; chmod 755 /var/qmail/bin/qmail-qstat
+  chown qmailq.qmail /var/qmail/bin/qmail-queue; chmod 4711 /var/qmail/bin/qmail-queue
+  chown root.qmail /var/qmail/bin/qmail-smtpd; chmod 755 /var/qmail/bin/qmail-smtpd
+  chown root.qmail /var/qmail/bin/qmail-tcpok; chmod 755 /var/qmail/bin/qmail-tcpok
+  chown root.qmail /var/qmail/bin/qmail-tcpto; chmod 755 /var/qmail/bin/qmail-tcpto
+  chown root.qmail /var/qmail/bin/qmail-start; chmod 700 /var/qmail/bin/qmail-start
+  chown root.root /var/qmail/bin/newinclude; chmod 755 /var/qmail/bin/newinclude
+  chown root.root /var/qmail/bin/fastforward; chmod 755 /var/qmail/bin/fastforward
+  chown root.root /var/qmail/bin/config; chmod 755 /var/qmail/bin/config
+  chown root.qmail /var/qmail/bin/maildir2mbox; chmod 755 /var/qmail/bin/maildir2mbox
+  chown root.qmail /var/qmail/bin/forward; chmod 755 /var/qmail/bin/forward
+  chown root.root /var/qmail/bin/qmail-lint; chmod 755 /var/qmail/bin/qmail-lint
+  chown root.qmail /var/qmail/bin/qmail-newu; chmod 700 /var/qmail/bin/qmail-newu
+  chown root.qmail /var/qmail/bin/qmail-pw2u; chmod 711 /var/qmail/bin/qmail-pw2u
+  chown root.qmail /var/qmail/bin/qmail-send; chmod 711 /var/qmail/bin/qmail-send
+  chown root.qmail /var/qmail/bin/except; chmod 755 /var/qmail/bin/except
+  chown root.qmail /var/qmail/bin/qmail-inject; chmod 755 /var/qmail/bin/qmail-inject
+  chown root.qmail /var/qmail/bin/maildirwatch; chmod 755 /var/qmail/bin/maildirwatch
+  chown root.qmail /var/qmail/bin/qmail-lspawn; chmod 700 /var/qmail/bin/qmail-lspawn
+  chown root.qmail /var/qmail/bin/qmail-newmrh; chmod 700 /var/qmail/bin/qmail-newmrh
+  chown root.root /var/qmail/bin/config-fast; chmod 755 /var/qmail/bin/config-fast
+  chown root.root /var/qmail/bin/setforward; chmod 755 /var/qmail/bin/setforward
+  chown root.root /var/qmail/bin/printmaillist; chmod 755 /var/qmail/bin/printmaillist
+  chown root.qmail /var/qmail/bin/maildirmake; chmod 755 /var/qmail/bin/maildirmake
+  chown root.qmail /var/qmail/bin/qmail-remote; chmod 711 /var/qmail/bin/qmail-remote
+  chown root.qmail /var/qmail/bin/qmail-rspawn; chmod 711 /var/qmail/bin/qmail-rspawn
+  chown root.qmail /var/qmail/bin/bouncesaying; chmod 755 /var/qmail/bin/bouncesaying
+  chown root.qmail /var/qmail/bin/sendmail; chmod 755 /var/qmail/bin/sendmail
+  chown root.root /var/qmail/bin/qmail-qmtpd-conf; chmod 755 /var/qmail/bin/qmail-qmtpd-conf
+  chown root.qmail /var/qmail/bin/predate; chmod 755 /var/qmail/bin/predate
+  chown root.qmail /var/qmail/bin/preline; chmod 755 /var/qmail/bin/preline
+  chown root.root /var/qmail/bin/qmail-qmqpd-conf; chmod 755 /var/qmail/bin/qmail-qmqpd-conf
+  chown root.qmail /var/qmail/boot; chmod 755 /var/qmail/boot
+  chown root.qmail /var/qmail/boot/binm1+df; chmod 755 /var/qmail/boot/binm1+df
+  chown root.qmail /var/qmail/boot/binm2+df; chmod 755 /var/qmail/boot/binm2+df
+  chown root.qmail /var/qmail/boot/binm3+df; chmod 755 /var/qmail/boot/binm3+df
+  chown root.qmail /var/qmail/boot/home; chmod 755 /var/qmail/boot/home
+  chown root.qmail /var/qmail/boot/proc; chmod 755 /var/qmail/boot/proc
+  chown root.qmail /var/qmail/boot/binm1; chmod 755 /var/qmail/boot/binm1
+  chown root.qmail /var/qmail/boot/binm2; chmod 755 /var/qmail/boot/binm2
+  chown root.qmail /var/qmail/boot/binm3; chmod 755 /var/qmail/boot/binm3
+  chown root.qmail /var/qmail/boot/home+df; chmod 755 /var/qmail/boot/home+df
+  chown root.qmail /var/qmail/boot/proc+df; chmod 755 /var/qmail/boot/proc+df
+  chown root.qmail /home/system/qmail/control; chmod 755 /home/system/qmail/control
+  chown alias.qmail /home/system/qmail/alias; chmod 2755 /home/system/qmail/alias
+  chown qmailq.qmail /home/system/qmail/queue; chmod 750 /home/system/qmail/queue
+  chown qmailq.qmail /home/system/qmail/queue/pid; chmod 700 /home/system/qmail/queue/pid
+  chown qmails.qmail /home/system/qmail/queue/info; chmod 700 /home/system/qmail/queue/info
+  chown qmails.qmail /home/system/qmail/queue/info/0; chmod 700 /home/system/qmail/queue/info/0
+  chown qmails.qmail /home/system/qmail/queue/info/1; chmod 700 /home/system/qmail/queue/info/1
+  chown qmails.qmail /home/system/qmail/queue/info/2; chmod 700 /home/system/qmail/queue/info/2
+  chown qmails.qmail /home/system/qmail/queue/info/3; chmod 700 /home/system/qmail/queue/info/3
+  chown qmails.qmail /home/system/qmail/queue/info/4; chmod 700 /home/system/qmail/queue/info/4
+  chown qmails.qmail /home/system/qmail/queue/info/5; chmod 700 /home/system/qmail/queue/info/5
+  chown qmails.qmail /home/system/qmail/queue/info/6; chmod 700 /home/system/qmail/queue/info/6
+  chown qmails.qmail /home/system/qmail/queue/info/7; chmod 700 /home/system/qmail/queue/info/7
+  chown qmails.qmail /home/system/qmail/queue/info/8; chmod 700 /home/system/qmail/queue/info/8
+  chown qmails.qmail /home/system/qmail/queue/info/9; chmod 700 /home/system/qmail/queue/info/9
+  chown qmails.qmail /home/system/qmail/queue/info/10; chmod 700 /home/system/qmail/queue/info/10
+  chown qmails.qmail /home/system/qmail/queue/info/11; chmod 700 /home/system/qmail/queue/info/11
+  chown qmails.qmail /home/system/qmail/queue/info/12; chmod 700 /home/system/qmail/queue/info/12
+  chown qmails.qmail /home/system/qmail/queue/info/13; chmod 700 /home/system/qmail/queue/info/13
+  chown qmails.qmail /home/system/qmail/queue/info/14; chmod 700 /home/system/qmail/queue/info/14
+  chown qmails.qmail /home/system/qmail/queue/info/15; chmod 700 /home/system/qmail/queue/info/15
+  chown qmails.qmail /home/system/qmail/queue/info/16; chmod 700 /home/system/qmail/queue/info/16
+  chown qmails.qmail /home/system/qmail/queue/info/17; chmod 700 /home/system/qmail/queue/info/17
+  chown qmails.qmail /home/system/qmail/queue/info/18; chmod 700 /home/system/qmail/queue/info/18
+  chown qmails.qmail /home/system/qmail/queue/info/19; chmod 700 /home/system/qmail/queue/info/19
+  chown qmails.qmail /home/system/qmail/queue/info/20; chmod 700 /home/system/qmail/queue/info/20
+  chown qmails.qmail /home/system/qmail/queue/info/21; chmod 700 /home/system/qmail/queue/info/21
+  chown qmails.qmail /home/system/qmail/queue/info/22; chmod 700 /home/system/qmail/queue/info/22
+  chown qmailq.qmail /home/system/qmail/queue/intd; chmod 700 /home/system/qmail/queue/intd
+  chown qmailq.qmail /home/system/qmail/queue/intd/*; chmod 700 /home/system/qmail/queue/intd/*
+  chown qmailq.qmail /home/system/qmail/queue/lock; chmod 750 /home/system/qmail/queue/lock
+  chown qmailr.qmail /home/system/qmail/queue/lock/tcpto; chmod 644 /home/system/qmail/queue/lock/tcpto
+  chown qmails.qmail /home/system/qmail/queue/lock/sendmutex; chmod 600 /home/system/qmail/queue/lock/sendmutex
+  chown qmails.qmail /home/system/qmail/queue/lock/trigger; chmod 622 /home/system/qmail/queue/lock/trigger
+  chown qmailq.qmail /home/system/qmail/queue/mess; chmod 750 /home/system/qmail/queue/mess
+  chown qmailq.qmail /home/system/qmail/queue/mess/0; chmod 750 /home/system/qmail/queue/mess/0
+  chown qmailq.qmail /home/system/qmail/queue/mess/1; chmod 750 /home/system/qmail/queue/mess/1
+  chown qmailq.qmail /home/system/qmail/queue/mess/2; chmod 750 /home/system/qmail/queue/mess/2
+  chown qmailq.qmail /home/system/qmail/queue/mess/3; chmod 750 /home/system/qmail/queue/mess/3
+  chown qmailq.qmail /home/system/qmail/queue/mess/4; chmod 750 /home/system/qmail/queue/mess/4
+  chown qmailq.qmail /home/system/qmail/queue/mess/5; chmod 750 /home/system/qmail/queue/mess/5
+  chown qmailq.qmail /home/system/qmail/queue/mess/6; chmod 750 /home/system/qmail/queue/mess/6
+  chown qmailq.qmail /home/system/qmail/queue/mess/7; chmod 750 /home/system/qmail/queue/mess/7
+  chown qmailq.qmail /home/system/qmail/queue/mess/8; chmod 750 /home/system/qmail/queue/mess/8
+  chown qmailq.qmail /home/system/qmail/queue/mess/9; chmod 750 /home/system/qmail/queue/mess/9
+  chown qmailq.qmail /home/system/qmail/queue/mess/10; chmod 750 /home/system/qmail/queue/mess/10
+  chown qmailq.qmail /home/system/qmail/queue/mess/11; chmod 750 /home/system/qmail/queue/mess/11
+  chown qmailq.qmail /home/system/qmail/queue/mess/12; chmod 750 /home/system/qmail/queue/mess/12
+  chown qmailq.qmail /home/system/qmail/queue/mess/13; chmod 750 /home/system/qmail/queue/mess/13
+  chown qmailq.qmail /home/system/qmail/queue/mess/14; chmod 750 /home/system/qmail/queue/mess/14
+  chown qmailq.qmail /home/system/qmail/queue/mess/15; chmod 750 /home/system/qmail/queue/mess/15
+  chown qmailq.qmail /home/system/qmail/queue/mess/16; chmod 750 /home/system/qmail/queue/mess/16
+  chown qmailq.qmail /home/system/qmail/queue/mess/17; chmod 750 /home/system/qmail/queue/mess/17
+  chown qmailq.qmail /home/system/qmail/queue/mess/18; chmod 750 /home/system/qmail/queue/mess/18
+  chown qmailq.qmail /home/system/qmail/queue/mess/19; chmod 750 /home/system/qmail/queue/mess/19
+  chown qmailq.qmail /home/system/qmail/queue/mess/20; chmod 750 /home/system/qmail/queue/mess/20
+  chown qmailq.qmail /home/system/qmail/queue/mess/21; chmod 750 /home/system/qmail/queue/mess/21
+  chown qmailq.qmail /home/system/qmail/queue/mess/22; chmod 750 /home/system/qmail/queue/mess/22
+  chown qmailq.qmail /home/system/qmail/queue/todo; chmod 750 /home/system/qmail/queue/todo
+  chown qmailq.qmail /home/system/qmail/queue/todo/*; chmod 750 /home/system/qmail/queue/todo/*
+  chown qmails.qmail /home/system/qmail/queue/local; chmod 700 /home/system/qmail/queue/local
+  chown qmails.qmail /home/system/qmail/queue/local/0; chmod 700 /home/system/qmail/queue/local/0
+  chown qmails.qmail /home/system/qmail/queue/local/1; chmod 700 /home/system/qmail/queue/local/1
+  chown qmails.qmail /home/system/qmail/queue/local/2; chmod 700 /home/system/qmail/queue/local/2
+  chown qmails.qmail /home/system/qmail/queue/local/3; chmod 700 /home/system/qmail/queue/local/3
+  chown qmails.qmail /home/system/qmail/queue/local/4; chmod 700 /home/system/qmail/queue/local/4
+  chown qmails.qmail /home/system/qmail/queue/local/5; chmod 700 /home/system/qmail/queue/local/5
+  chown qmails.qmail /home/system/qmail/queue/local/6; chmod 700 /home/system/qmail/queue/local/6
+  chown qmails.qmail /home/system/qmail/queue/local/7; chmod 700 /home/system/qmail/queue/local/7
+  chown qmails.qmail /home/system/qmail/queue/local/8; chmod 700 /home/system/qmail/queue/local/8
+  chown qmails.qmail /home/system/qmail/queue/local/9; chmod 700 /home/system/qmail/queue/local/9
+  chown qmails.qmail /home/system/qmail/queue/local/10; chmod 700 /home/system/qmail/queue/local/10
+  chown qmails.qmail /home/system/qmail/queue/local/11; chmod 700 /home/system/qmail/queue/local/11
+  chown qmails.qmail /home/system/qmail/queue/local/12; chmod 700 /home/system/qmail/queue/local/12
+  chown qmails.qmail /home/system/qmail/queue/local/13; chmod 700 /home/system/qmail/queue/local/13
+  chown qmails.qmail /home/system/qmail/queue/local/14; chmod 700 /home/system/qmail/queue/local/14
+  chown qmails.qmail /home/system/qmail/queue/local/15; chmod 700 /home/system/qmail/queue/local/15
+  chown qmails.qmail /home/system/qmail/queue/local/16; chmod 700 /home/system/qmail/queue/local/16
+  chown qmails.qmail /home/system/qmail/queue/local/17; chmod 700 /home/system/qmail/queue/local/17
+  chown qmails.qmail /home/system/qmail/queue/local/18; chmod 700 /home/system/qmail/queue/local/18
+  chown qmails.qmail /home/system/qmail/queue/local/19; chmod 700 /home/system/qmail/queue/local/19
+  chown qmails.qmail /home/system/qmail/queue/local/20; chmod 700 /home/system/qmail/queue/local/20
+  chown qmails.qmail /home/system/qmail/queue/local/21; chmod 700 /home/system/qmail/queue/local/21
+  chown qmails.qmail /home/system/qmail/queue/local/22; chmod 700 /home/system/qmail/queue/local/22
+  chown qmails.qmail /home/system/qmail/queue/bounce; chmod 700 /home/system/qmail/queue/bounce
+  chown qmails.qmail /home/system/qmail/queue/remote; chmod 700 /home/system/qmail/queue/remote
+  chown qmails.qmail /home/system/qmail/queue/remote/0; chmod 700 /home/system/qmail/queue/remote/0
+  chown qmails.qmail /home/system/qmail/queue/remote/1; chmod 700 /home/system/qmail/queue/remote/1
+  chown qmails.qmail /home/system/qmail/queue/remote/2; chmod 700 /home/system/qmail/queue/remote/2
+  chown qmails.qmail /home/system/qmail/queue/remote/3; chmod 700 /home/system/qmail/queue/remote/3
+  chown qmails.qmail /home/system/qmail/queue/remote/4; chmod 700 /home/system/qmail/queue/remote/4
+  chown qmails.qmail /home/system/qmail/queue/remote/5; chmod 700 /home/system/qmail/queue/remote/5
+  chown qmails.qmail /home/system/qmail/queue/remote/6; chmod 700 /home/system/qmail/queue/remote/6
+  chown qmails.qmail /home/system/qmail/queue/remote/7; chmod 700 /home/system/qmail/queue/remote/7
+  chown qmails.qmail /home/system/qmail/queue/remote/8; chmod 700 /home/system/qmail/queue/remote/8
+  chown qmails.qmail /home/system/qmail/queue/remote/9; chmod 700 /home/system/qmail/queue/remote/9
+  chown qmails.qmail /home/system/qmail/queue/remote/10; chmod 700 /home/system/qmail/queue/remote/10
+  chown qmails.qmail /home/system/qmail/queue/remote/11; chmod 700 /home/system/qmail/queue/remote/11
+  chown qmails.qmail /home/system/qmail/queue/remote/12; chmod 700 /home/system/qmail/queue/remote/12
+  chown qmails.qmail /home/system/qmail/queue/remote/13; chmod 700 /home/system/qmail/queue/remote/13
+  chown qmails.qmail /home/system/qmail/queue/remote/14; chmod 700 /home/system/qmail/queue/remote/14
+  chown qmails.qmail /home/system/qmail/queue/remote/15; chmod 700 /home/system/qmail/queue/remote/15
+  chown qmails.qmail /home/system/qmail/queue/remote/16; chmod 700 /home/system/qmail/queue/remote/16
+  chown qmails.qmail /home/system/qmail/queue/remote/17; chmod 700 /home/system/qmail/queue/remote/17
+  chown qmails.qmail /home/system/qmail/queue/remote/18; chmod 700 /home/system/qmail/queue/remote/18
+  chown qmails.qmail /home/system/qmail/queue/remote/19; chmod 700 /home/system/qmail/queue/remote/19
+  chown qmails.qmail /home/system/qmail/queue/remote/20; chmod 700 /home/system/qmail/queue/remote/20
+  chown qmails.qmail /home/system/qmail/queue/remote/21; chmod 700 /home/system/qmail/queue/remote/21
+  chown qmails.qmail /home/system/qmail/queue/remote/22; chmod 700 /home/system/qmail/queue/remote/22
+  chown root.qmail /home/system/qmail/users; chmod 755 /home/system/qmail/users
+  chown root.root /var/qmail/service; chmod 755 /var/qmail/service
+  chown qmaill /var/log/qmail; chmod 755 /var/log/qmail
+}
Index: npl/mailserver/netqmail_conf/root/etc/qmail.rc.config
===================================================================
--- npl/mailserver/netqmail_conf/root/etc/qmail.rc.config	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/etc/qmail.rc.config	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,24 @@
+#
+# Qmail configuration file
+# 
+# Author:
+# 	Guilherme Balena Versiani, guibv@yahoo.com
+#
+# Last Update: Mon Sep 03 18:57:44 BRT 2001
+
+#
+# Qmail users (you should not change these!)
+#
+QMAIL_USER_0="alias:50:nofiles:/var/qmail/alias"
+QMAIL_USER_1="qmaild:51:nofiles:/var/qmail"
+QMAIL_USER_2="qmaill:52:nofiles:/var/qmail"
+QMAIL_USER_3="qmailp:53:nofiles:/var/qmail"
+QMAIL_USER_4="qmailq:54:qmail:/var/qmail"
+QMAIL_USER_5="qmailr:55:qmail:/var/qmail"
+QMAIL_USER_6="qmails:56:qmail:/var/qmail"
+
+#
+# Qmail groups (you should not change these!)
+#
+QMAIL_GROUP_0="nofiles:55"
+QMAIL_GROUP_1="qmail:56"
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/alias/.qmail-default
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/alias/.qmail-default	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/alias/.qmail-default	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+|/usr/bin/syn3-dagent "$LOCAL" "$SENDER"
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/concurrencyincoming.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/concurrencyincoming.new	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/concurrencyincoming.new	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+5
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/locals
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/locals	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/locals	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+me
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/qmqpservers.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/qmqpservers.new	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/qmqpservers.new	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+127.0.0.1
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.smtp.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.smtp.new	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.smtp.new	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,22 @@
+127.0.0.1:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-queue"
+127.0.0.2:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+127.0.0.3:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.16.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.17.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.18.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.19.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.20.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.21.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.22.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.23.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.24.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.25.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.26.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.27.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.28.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.29.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.30.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.31.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+192.168.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+10.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+:allow,QMAILQUEUE="bin/qmail-qmqpc"
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/users/assign.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/users/assign.new	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/users/assign.new	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,2 @@
++:alias:50:55:/var/qmail/alias:-::
+.
Index: npl/mailserver/netqmail_conf/root/service/qmail-send
===================================================================
--- npl/mailserver/netqmail_conf/root/service/qmail-send	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/service/qmail-send	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+/var/qmail/supervise/qmail-send
Index: npl/mailserver/netqmail_conf/root/service/qmail-smtpd
===================================================================
--- npl/mailserver/netqmail_conf/root/service/qmail-smtpd	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/service/qmail-smtpd	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+/var/qmail/supervise/qmail-smtpd
Index: npl/mailserver/netqmail_conf/root/usr/bin/syn3-dagent
===================================================================
--- npl/mailserver/netqmail_conf/root/usr/bin/syn3-dagent	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/usr/bin/syn3-dagent	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+USER="$1"
+SENDER="$2"
+INMAIL=/tmp/syn3-dagent.$$
+SCANMAIL=/tmp/syn3-dagent-scanned.$$
+
+
+#cleanup and exit
+end()
+{
+	rm $INMAIL 2>/dev/null
+	rm $SCANMAIL 2>/dev/null
+	exit $1
+}
+
+# some kind of ldap problem, try again later
+id "Administrator" >/dev/null || end 111
+
+#does the user exists?
+if ! id "$USER" >/dev/null; then
+	#we're sure theres no ldap problem?
+	id "Administrator" >/dev/null || end 111
+	#probably a bounce spammer, drop mail silently
+	echo "User does not exist, dropping mail."
+	end 0
+fi
+
+#store mail temporary
+cat > $INMAIL || end 1
+
+#pipe trough personal spamfilter of this user
+if ! grep "VIRUS.*IN MAIL TO YOU" $INMAIL >/dev/null && /usr/bin/dspamc --user "$USER" --deliver=innocent,spam --mail-from="$SENDER" --stdout >$SCANMAIL <$INMAIL; then
+	#it worked
+	if grep "^X-DSPAM-Result: Spam" $SCANMAIL >/dev/null; then
+		SPAM=1
+	else
+		SPAM=
+	fi
+	MAIL=$SCANMAIL
+else
+	#spam filter is broken, or it was just a virus notification
+	MAIL=$INMAIL
+	SPAM=
+fi
+
+# #check cyrus is up, and deliver it there:
+# if /usr/bin/pgrep -f -x /usr/cyrus/bin/master ; then
+# 	if [ "$SPAM" ]; then
+# 		/usr/cyrus/bin/deliver -a "$USER" -m Spam "$USER" < $MAIL
+# 		end $?
+# 	else
+# 		/usr/cyrus/bin/deliver -a "$USER" "$USER" < $MAIL
+# 		end $?
+# 	fi
+# fi
+
+#check zarafa is up, and deliver it there:
+if pidof zarafa-server >/dev/null; then
+	if [ "$SPAM" ]; then
+		/usr/bin/zarafa-dagent "$USER" -q -j < $MAIL
+		end $?
+	else
+		/usr/bin/zarafa-dagent "$USER" -q < $MAIL
+		end $?
+	fi
+fi
+
+#check kopano is up, and deliver it there:
+if pidof kopano-server >/dev/null; then
+	if [ "$SPAM" ]; then
+		/usr/bin/kopano-dagent "$USER" -q -j < $MAIL
+		end $?
+	else
+		/usr/bin/kopano-dagent "$USER" -q < $MAIL
+		end $?
+	fi
+fi
+
+#no backend mailstorage up, so fail temporary
+echo "All mailbackends are down, retry again later..."
+end 111
Index: npl/mailserver/netqmail_conf/root/var/qmail/alias
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/alias	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/var/qmail/alias	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+/home/system/qmail/alias
Index: npl/mailserver/netqmail_conf/root/var/qmail/bin/qmailctl
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/bin/qmailctl	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/var/qmail/bin/qmailctl	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,195 @@
+#!/bin/sh
+#
+# tx Sam Tang
+
+# Put here the services you want to manage
+svclist="qmail-smtpd qmail-submission qmail-send vpopmaild"
+# Put here the services want monitoring
+servicelist="dovecot clamd freshclam spamd vusaged httpd mariadb fail2ban"
+
+PATH=/var/qmail/bin:/bin:/usr/bin:/usr/local/bin:/usr/local/sbin
+export PATH
+
+QMAILDUID=`id -u qmaild`
+NOFILESGID=`id -g qmaild`
+
+function show_uptime() {
+	org="$(svstat /service/$1 | awk '{print $2,$3,$4;}' | sed 's/up/[ up ]/g' | sed 's/down/[ down ]/g' | sed ''/up/s//`printf "\033[1\;32mup\033[0m"`/'' | sed ''/down/s//`printf "\033[1\;31mdown\033[0m"`/'')"
+	sec="$(svstat /service/$1 | awk '{print $5;}')"
+	d=$(( $sec / 86400))
+	h=$(( $(($sec - $d * 86400)) / 3600 ))
+	m=$(( $(($sec -d * 86400 - $h * 3600)) / 60 ))
+	s=$(($sec -d * 86400 - $h * 3600 - $m * 60))
+	if [ $sec -le 60 ]; then
+		printf "%-22s %s %s %s %s %s %s seconds\n" "$1:" $org $s
+	else
+		printf "%-22s %s %s %s %s %s %3s day(s), %02d:%02d:%02d\n" "$1:" $org $d $h $m $s
+	fi
+}
+
+case "$1" in
+  start)
+    echo "Starting qmail"
+
+    for svc in $svclist ; do
+    	if svok /service/$svc ; then
+     		svc -u /service/$svc
+     	else
+     		echo $svc service not running
+     	fi
+    done 
+
+    if [ -d /var/lock/subsys ]; then
+      touch /var/lock/subsys/qmail
+    fi
+    ;;
+  stop)
+    echo "Stopping qmail..."
+    for svc in $svclist ; do
+      echo " $svc"
+      svc -d /service/$svc
+    done
+    if [ -f /var/lock/subsys/qmail ]; then
+    rm /var/lock/subsys/qmail
+    fi
+    ;;
+  stat)
+    for svc in $svclist ; do
+      show_uptime $svc
+      show_uptime "$svc/log"
+    done
+    echo ""
+    for service in $servicelist ; do
+      printf "%-22s " "$service status:"
+      if (( $(ps -ef | grep -v grep | grep $service | wc -l) > 0 ))
+      then 
+          echo -e "[ \033[1;32mup\033[m ]"
+      else
+          echo -e "[ \033[1;31mdown\033[m ]"
+      fi
+    done
+    if [ -f /var/qmail/control/simversions.cdb ]; then
+    	printf "\nClamAV database updated at: "
+	stat --printf=%y /var/qmail/control/simversions.cdb | cut -d. -f1
+    fi
+    if [ -f /var/qmail/users/assign ]; then
+	printf "Total Domains: "
+	wc -l < /var/qmail/users/assign
+    fi
+    echo ""
+    qmail-qstat
+    ;; 
+  doqueue|alrm|flush)
+    echo "Sending ALRM signal to qmail-send."
+    svc -a /service/qmail-send
+    ;;
+  queue)
+    qmail-qstat
+    qmail-qread
+    ;;
+  reload|hup)
+    echo "Sending HUP signal to qmail-send."
+    svc -h /service/qmail-send
+    ;;
+  pause)
+    for svc in $svclist ; do
+      echo "Pausing $svc"
+      svc -p /service/$svc
+    done
+    ;; 
+  cont)
+	  for svc in $svclist ; do
+	    echo "Continuing $svc"
+	    svc -c /service/$svc
+	  done
+    ;; 
+  restart)
+    echo "Restarting qmail:"
+    for svc in $svclist ; do
+      if [ "$svc" != "qmail-send" ] ; then
+        echo "* Stopping $svc."
+        svc -d /service/$svc
+      fi
+    done
+    echo "* Sending qmail-send SIGTERM and restarting."
+    svc -t /service/qmail-send
+    for svc in $svclist ; do
+      if [ "$svc" != "qmail-send" ] ; then
+        echo "* Restarting $svc."
+        svc -u /service/$svc
+      fi
+    done
+    ;;
+  cdb)
+    if ! grep '\#define POP_AUTH_OPEN_RELAY 1' ~vpopmail/include/config.h >/dev/null; then
+      (cd ~vpopmail/etc ; cat tcp.smtp | tcprules tcp.smtp.cdb tcp.smtp.tmp)
+      echo "Updated tcp.smtp.cdb."
+      (cd ~vpopmail/etc ; cat tcp.submission | tcprules tcp.submission.cdb tcp.submission.tmp)
+      echo "Updated tcp.submission.cdb."
+    else
+      ~vpopmail/bin/clearopensmtp
+      echo "Ran clearopensmtp."
+    fi
+    ;;
+  clear)
+    echo "Clearing readproctitle service errors with ................."
+    svc -o /service/clear
+    ;;
+  kill)
+    echo "First stopping services ... "
+    for svc in $svclist ; do
+    	if svok /service/$svc ; then
+            svc -d /service/$svc
+            svc -d /service/$svc/log
+    	fi
+    done
+    echo "Now sending processes the kill signal ... "
+        killall -g svscanboot
+    echo "done"
+    ;;
+  boot)
+    echo "Starting qmail"
+    /command/svscanboot &
+    ;;
+  reboot)
+    echo "First stopping services ... "
+    for svc in $svclist ; do
+        if svok /service/$svc ; then
+            svc -d /service/$svc
+            svc -d /service/$svc/log
+        fi
+    done
+    echo "Now sending processes the kill signal ... "
+        killall -g svscanboot
+    echo "done"
+    echo "Starting qmail"
+    /command/svscanboot &
+    ;;
+  help)
+    cat <<HELP
+    stop -- stops mail service (smtp connections refused, nothing goes out)
+   start -- starts mail service (smtp connection accepted, mail can go out)
+   pause -- temporarily stops mail service (connections accepted, nothing leaves)
+    cont -- continues paused mail service
+    stat -- displays status of mail service
+     cdb -- rebuild the tcpserver cdb file for smtp
+ restart -- stops and restarts smtp, sends qmail-send a TERM & restarts it
+ doqueue -- sends qmail-send ALRM, scheduling queued messages for delivery
+  reload -- sends qmail-send HUP, rereading locals and virtualdomains
+   queue -- shows status of queue
+    alrm -- same as doqueue
+   flush -- same as doqueue
+     hup -- same as reload
+   clear -- clears the readproctitle service errors with .....................
+    kill -- svc -d processes in svclist, then do 'killall -g svscanboot'
+    boot -- Boots qmail and all services in /service running /command/svscanboot
+  reboot -- kill & boot commands in sequence
+HELP
+    ;;
+  *)
+    echo "Usage: $0 {start|stop|restart|doqueue|flush|reload|stat|pause|cont|cdb|queue|clear|kill|boot|reboot|help}"
+    exit 1
+    ;;
+esac
+
+exit 0 
Index: npl/mailserver/netqmail_conf/root/var/qmail/control
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/control	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/var/qmail/control	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+/home/system/qmail/control
Index: npl/mailserver/netqmail_conf/root/var/qmail/queue
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/queue	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/var/qmail/queue	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+/home/system/qmail/queue
Index: npl/mailserver/netqmail_conf/root/var/qmail/rc
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/rc	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/var/qmail/rc	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec env - PATH="/var/qmail/bin:$PATH" qmail-start ''  splogger qmail
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/log/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/log/run	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/log/run	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/bin/setuidgid qmaill /usr/bin/multilog t s2500000 /var/log/qmail/qmail-send
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/run	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/run	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,6 @@
+#!/bin/sh
+#dynamic update of hostname
+hostname -f > /var/qmail/control/me
+#zet de assign file om naar binair formaat.
+/var/qmail/bin/qmail-newu
+exec /var/qmail/rc
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/log/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/log/run	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/log/run	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/bin/setuidgid qmaill /usr/bin/multilog t s2500000 /var/log/qmail/qmail-smtpd
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/run	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/run	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,16 @@
+#!/bin/sh
+QMAILDUID=`id -u qmaild`
+NOFILESGID=`id -g qmaild`
+MAXSMTPD=`cat /var/qmail/control/concurrencyincoming`
+LOCAL=`head -1 /var/qmail/control/me`
+if [ -z "$QMAILDUID" -o -z "$NOFILESGID" -o -z "$MAXSMTPD" -o -z "$LOCAL" ]; then
+    echo QMAILDUID, NOFILESGID, MAXSMTPD, or LOCAL is unset in
+    echo /var/qmail/supervise/qmail-smtpd/run
+    exit 1
+fi
+if [ ! -f /var/qmail/control/rcpthosts ]; then
+    echo "No /var/qmail/control/rcpthosts!"
+    echo "Refusing to start SMTP listener because it'll create an open relay"
+    exit 1
+fi
+exec /usr/bin/softlimit -m 150000000 /usr/bin/tcpserver -v -R -l "$LOCAL" -x /etc/qmail/tcp.smtp.cdb -c "$MAXSMTPD" -u "$QMAILDUID" -g "$NOFILESGID" 0 smtp /usr/bin/rblsmtpd -r cbl.abuseat.org -r bl.spamcop.net /usr/bin/fixcrio /var/qmail/bin/qmail-smtpd 2>&1
Index: npl/mailserver/netqmail_conf/root/var/qmail/users
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/users	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/netqmail_conf/root/var/qmail/users	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+/home/system/qmail/users
